/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: TaxonomyPicker.java,v bcf37bbdff9d 2010/08/17 18:04:46 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.browser;

import javax.annotation.Nonnull;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id:$
 *
 **********************************************************************************************************************/
public class TaxonomyPicker
  {
    @Nonnull
    private final String taxonomyName;

    private final int index;

    private TaxonomyPicker (final @Nonnull String taxonomyName, final int index)
      {
        this.taxonomyName = taxonomyName;
        this.index = index;
      }

    public void pickTaxonomy (final @Nonnull TaxonomyPickerActivityTestHelper taxonomyPickerActivity)
      throws Exception
      {
        taxonomyPickerActivity.pickTaxonomy(index);
      }

    @Nonnull
    public static TaxonomyPicker pickAOU7th()
      {
        return new TaxonomyPicker("AOU7th", 0);
      }

    @Nonnull
    public static TaxonomyPicker pickEbnItalia2003()
      {
        return new TaxonomyPicker("EBNItalia2003", 1);
      }
  }
