/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: FullTaxaSortingCacheTest.java,v f32689862d36 2010/08/17 19:14:05 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.test.functional;

import java.util.Locale;
import static it.tidalwave.bluebill.mobile.android.taxonomy.browser.TaxonomyPicker.*;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class FullTaxaSortingCacheTest extends ObservationScenarioTestSupport
  {
    protected void prepareSequence()
      {
        step(SetDefaultLocale.class,                          new Locale("en", "gb"));
        step(ClearAllObservations.class);
        step(TaxonomyChangerFromObservationsActivity.class,   pickEbnItalia2003());
        step(GoToSpeciesBrowser.class);
        step(AssertTaxaCount.class,                           954, "EBNItalia 2003");

        step(GoBack.class);
        step(GoBack.class);
        step(GoToSpeciesBrowser.class,                        200); // must be immediate
        step(AssertTaxaCount.class,                           954, "EBNItalia 2003");
      }

    @Override
    protected void assertPostConditions() 
      {
      }
  }
